%global dlrn_nvr ovsdbapp-1.9.4-1.20221108163737.65d02f0
%global dlrn 1
%define upstream_version 1.9.4
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global library ovsdbapp
%global module ovsdbapp
%global with_doc 0

%global common_desc \
A library for writing Open vSwitch OVSDB-based applications.

%global common_desc_tests \
Python OVSDB Application Library tests. \
This package contains Python OVSDB Application Library test files.

Name:       python-%{library}
Version: 1.9.4
Release: 1.20221108163737.65d02f0%{?dist}
Summary:    Python OVSDB Application Library
License:    ASL 2.0
URL:        http://launchpad.net/%{library}/

Source0: ovsdbapp-1.9.4-1.20221108163737.65d02f0.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=65d02f06d2318c20ee01ba760bbb74f6eafabebf
Patch0001: 0001-ovn-support-allow-stateless-ACL-verb.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        http://tarballs.openstack.org/%{library}/%{library}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros

%package -n python3-%{library}
Summary:    Python OVSDB Application Library
%{?python_provide:%python_provide python3-%{library}}
Requires:   python3-openvswitch
Requires:   python3-pbr
Requires:   python3-netaddr >= 0.7.18

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRequires:  python3-mock
BuildRequires:  python3-openvswitch
BuildRequires:  python3-oslotest
BuildRequires:  python3-stestr
BuildRequires:  python3-netaddr >= 0.7.18
BuildRequires:  python3-testrepository

%description -n python3-%{library}
%{common_desc}


%package -n python3-%{library}-tests
Summary:   Python OVSDB Application Library Tests
Requires:  python3-%{library} = %{version}-%{release}
Requires:  python3-fixtures
Requires:  python3-mock
Requires:  python3-oslotest
Requires:  python3-testrepository

%description -n python3-%{library}-tests
%{common_desc_tests}

%if 0%{?with_doc}
%package -n python-%{library}-doc
Summary:    Python OVSDB Application Library documentation

BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-rsvgconverter
BuildRequires: python3-openstackdocstheme

%description -n python-%{library}-doc
%{common_desc}

This package contains the documentation.
%endif

%description
%{common_desc}


%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{library}-%{upstream_version} -S git

# Let's handle dependencies ourselves
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
PYTHON=%{__python3} OS_TEST_PATH=./ovsdbapp/tests/unit stestr run

%files -n python3-%{library}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-*.egg-info
%exclude %{python3_sitelib}/%{module}/tests

%files -n python3-%{library}-tests
%{python3_sitelib}/%{module}/tests

%if 0%{?with_doc}
%files -n python-%{library}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.4-1.20221108163737.65d02f0
- Update patches
- Don't force_reconnect() on unhandled Idl exception
- Fix logging exception while handling transaction exception
- Fix TRY_AGAIN handling

* Wed Sep 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.3-1.20220907153721.f804411
- Fix TRY_AGAIN handling (rhbz#2123014)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.3-1.20220727191459.f804411
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.3-1.20220718104910.f804411
- Update patches
- Update QoS register in "QoSAddCommand" if exists
- Add cooperative_yield() to OvsdbIdl
- Handle OVS 2.17 change to Idl.tables

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.2-0.20220513152412.9990509
- Handle OVS 2.17 change to Idl.tables (rhbz#2084290)

* Sun May 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.2-0.20220501172516.9990509
- Update patches
- Fix broken behavior after recent OVS update
- github no longer accepts git:// connections
- Log what exception caused abort of the transaction
- tools: run functional tests against ovn/main branch

* Sun May 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.1-0.20220501163233.8304251
- Fix broken behavior after recent OVS update
- github no longer accepts git:// connections
- Log what exception caused abort of the transaction
- tools: run functional tests against ovn/main branch

* Tue Apr 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.1-0.20220412182408.8304251
- Update QoS register in "QoSAddCommand" if exists (rhbz#2043613)

* Tue Feb 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.1-0.20220208171846.8304251
- Update patches
- Actually close the connection in Connection.stop()
- Don't spam retries 100s of times a second
- Add an active wait in the "Backend.lookup"
- Fix docs job
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Wed Jun 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.9.0-0.20210623141812.38a99c7
- ovn: support allow-stateless ACL verb

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.9.0-0.20210527210436.38a99c7
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.9.0-1
- Update patches
- Log the name of the command in execute()
- Make it possible to just retrieve schema json
- Drop py37 and add py38 test

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ovn nb] Acl add: Avoid setting columns that have no values
- Update Python3 wallaby unit tests
- Add northbound API support for meters
- Fix NB API definition "lb_add" method signature
- Fix gate failure

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump ovs minimum version for support of indexing
- Avoid race condition with RowEvent handling
- Update TOX_CONSTRAINTS_FILE for stable/victoria
- Update .gitreview for stable/victoria

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add lock when calling idl.run()
- Add a cause description to "TimeoutException"
- Fix thread/threading change in unit test
- Correct variable names for test
- Add "if_exists" parameter to "QoSDelCommand"
- Change TestOvnNbIndex.test_find to use Port_Group
- Add MAC_Binding index lookup
- Handle index lookups in DbFindCommand
- Fix pep8 job
- Make it more obvious when errors are ignored
- drop mock from lower-constraints
- Only create indices if connection is not running

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add QoSDelExtIdCommand
- Switch to newer openstackdocstheme and reno versions

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add indexed column support to ovsdbapp
- Remove translation sections from setup.cfg
- OVNNB backend: Fix LbDelCommand when using vip param
- Import ABCs from 'collections.abc'
- Fix hacking min version to 3.0.1
- Don't create new API instance in fixtures
- Add "inactivity_probe" parameter to "enable_connection_uri"
- Fix spurious test failure
- Allow read-only Commands to bypass txns in execute()
- Tempest job inherits from Neutron tempest OVN job
- Stop iterating on first matching QoS rule
- Accept a Row as a result in AddCommand
- Don't let an Exception in one event affect others
- Remove the dependency on the "mock" package
- Update master for stable/ussuri
- Remove all usage of six library
- Update hacking for Python3

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Call row.verify() when updating map columns with db_set
- Do not try to execute transaction if command list is empty

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- More robustly handle venv ovs/ovn paths
- Log invalid address values in lsp_set_addresses
- Merge "Make it possible to reference a newly created object within a transaction"
- Make it possible to reference a newly created object within a transaction
- Make ovndir configurable
- Drop python 2 support and testing
- Fix debug_venv for ovn split
- Merge "Add consts for OVN install path"
- Add consts for OVN install path
- Switch to Ussuri jobs
- ovn_northbound: make all list commands ReadOnlyCommand
- Merge "Help with troubleshooting failures from venv.py"
- Help with troubleshooting failures from venv.py

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Change EAFP to LBYL style in nested transaction"
- Merge "Handle unset OVN_SRCDIR"
- Handle unset OVN_SRCDIR
- Default testenv to basepython = python3
- Merge "Fix building OVS after python2 removal"
- Fix building OVS after python2 removal
- Change EAFP to LBYL style in nested transaction
- Merge "PDF documentation build"
- Merge "Update Zuul jobs: Enable docs publishing"
- Merge "Handle the ovs/ovn split"
- Handle the ovs/ovn split
- Update master for stable/train
- Merge "Fix the url, change http to https"
- PDF documentation build
- Update Zuul jobs: Enable docs publishing
- Fix the url, change http to https

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


